package com.sundot.airport.ledger.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sundot.airport.ledger.domain.LedgerSecurityTest;
import com.sundot.airport.common.dto.LedgerCommonQueryReqVO;
import com.sundot.airport.common.dto.LedgerCommonResVO;

public interface ILedgerSecurityTestService extends IService<LedgerSecurityTest> {
    List<LedgerSecurityTest> selectList(LedgerSecurityTest query);

    int batchInsert(List<LedgerSecurityTest> list);

    List<LedgerCommonResVO> securityTestItemClassification(LedgerCommonQueryReqVO queryReq);

    List<LedgerCommonResVO> securityTestPassingStatus(LedgerCommonQueryReqVO queryReq);

    List<LedgerCommonResVO> securityTestRegion(LedgerCommonQueryReqVO queryReq);
}
